DL_CryptoKeys_ElGamal Struct Reference

ElGamal encryption keys for safe interop. More...

`#include <gfpcrypt.h>`

## Public Types

typedef DL_GroupParameters_ElGamal | GroupParameters
typedef DL_PublicKey_GFP< GroupParameters > | PublicKey
typedef DL_PrivateKey_GFP< GroupParameters > | PrivateKey

## Detailed Description

ElGamal encryption keys for safe interop.

See also
  On the (in)security of ElGamal in OpenPGP, Issue 1059, CVE-2021-40530

Since
  Crypto++ 8.6

Definition at line 696 of file gfpcrypt.h.

## Member Typedef Documentation

## GroupParameters

typedef DL_GroupParameters_ElGamal DL_CryptoKeys_ElGamal::GroupParameters

Definition at line 698 of file gfpcrypt.h.

## PublicKey

typedef DL_PublicKey_GFP<GroupParameters> DL_CryptoKeys_ElGamal::PublicKey

Definition at line 699 of file gfpcrypt.h.

## PrivateKey

typedef DL_PrivateKey_GFP<GroupParameters> DL_CryptoKeys_ElGamal::PrivateKey

Definition at line 700 of file gfpcrypt.h.

The documentation for this struct was generated from the following file:

- gfpcrypt.h